package com.zbsz;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.common.entity.dic.IndicatorDic;
import com.zbsz.entity.Indicator;
import com.zbsz.repository.IndicatorDicRepository;
import com.zbsz.service.DynamicTableService;
import com.zbsz.service.SearchService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;
import java.util.List;

@SpringBootTest
@Slf4j
public class IndicatorTest {
    @Resource
    private IndicatorDicRepository indicatorDicRepository;
    @Resource
    private SearchService searchService;
    @Resource
    private DynamicTableService dynamicTableService;


    @Test
    public void testPage(){
        Page<IndicatorDic> page = new Page(9, 2);
        indicatorDicRepository.page(page);
        List<IndicatorDic> list = page.getRecords();
        for (IndicatorDic indicatorDic : list) {
            System.out.println("|||||||||| : "+ JSON.toJSON(indicatorDic));
            System.out.println("-- : "+indicatorDic.getId());
            System.out.println("-- : "+indicatorDic.getIndicatorType());
            System.out.println("-- : "+indicatorDic.getCreateTime());
        }
        System.out.println("-------- : "+page.getPages());
        System.out.println("-------- : "+page.getTotal());
        System.out.println("-------- : "+page.hasNext());
        System.out.println("-------- : "+page.hasPrevious());
    }

    @Test
    public void testSearchTable() throws Exception{
        System.out.println(searchService.getTableNames());
        System.out.println(searchService.getTableColumns("app_dic"));
    }


    @Test
    public void testDynamicTable() {
        Indicator indicator = new Indicator();
        indicator.setSceneId(3);
        indicator.setIndicatorDicId(0);
        indicator.setAppDicPId(1);
        indicator.setAppDicCId(0);
        indicator.setIndicatorEnName("p_user");
        try {
            dynamicTableService.createTable(indicator);
        } catch (Exception e) {
            log.error("创建动态表异常，",e);
        }
    }

}
